PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP USER

## Name

DROP USER -- remove a database user account

## Synopsis

    DROP USER name

## Description

`DROP USER` removes the specified user. It does not remove tables, views, or other objects owned by the user. If the user owns any database, an error is raised.

## Parameters

name

  The name of the user to remove.

## Notes

PostgreSQL includes a program dropuser that has the same functionality as this command (in fact, it calls this command) but can be run from the command shell.

To drop a user who owns a database, first drop the database or change its ownership.

## Examples

To drop a user account:

    DROP USER jonathan;

## Compatibility

The `DROP USER` statement is a PostgreSQL extension. The SQL standard leaves the definition of users to the implementation.

## See Also

ALTER USER, CREATE USER

Prev | Home | Next
DROP TYPE | Up | DROP VIEW